1. Payouts
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Transactions Response Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Payouts

Find Payment Order By OriginatorConversationId

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
GET
/v1/payment-order/check-status
This request retrieves the status of a payment order.
It requires two query parameters: IdType, which specifies the type of identifier being used, and Id, which is the actual identifier value.
For this case, set IdType to OriginatorConversationId, and pass the corresponding value from the PostPaymentOrder request as the Id.

Sample success response#

{
    "id": "c9ec0449-c92d-f111-bc62-0e7d952d79b7",
    "conversationId": "01000000-0017-0a00-5c11-08de8fed2835",
    "originatorConversationId": "b778dd46-22ed-4246-89ba-884589f13440",
    "remarks": "Transactions",
    "isProcessed": true,
    "orderLines": [
        {
            "remitter": {
                "name": "Dean Muhando",
                "address": "UG",
                "emailAddress": "",
                "phoneNumber": "+256743543212",
                "idType": "National ID",
                "idIssuePlace": null,
                "idNumber": "25662882",
                "idIssueDate": null,
                "idExpiryDate": null,
                "nationality": null,
                "country": "KE",
                "ccy": "404",
                "amount": 0.0,
                "financialInstitution": "07",
                "institutionIdentifier": null,
                "primaryAccountNumber": null,
                "sourceOfFunds": "Business",
                "principalActivity": "Business",
                "dateOfBirth": null,
                "state": null,
                "city": null,
                "postalCode": null,
                "occupation": null,
                "profession": null,
                "relationship": null,
                "fxRate": 0.0
            },
            "recipient": {
                "name": "Bruno Fernandes",
                "address": "Westlands",
                "emailAddress": "dboysss@gmail.com",
                "phoneNumber": "",
                "mccmnc": "63902",
                "idType": "National ID",
                "idNumber": "28475973",
                "financialInstitution": "07",
                "institutionIdentifier": "00000",
                "primaryAccountNumber": "+254714789019",
                "ccy": 404,
                "amount": 0.0,
                "purpose": "TEST",
                "country": null,
                "creditCustomerAccountId": null,
                "state": null,
                "city": null,
                "postalCode": null,
                "nationality": null,
                "occupation": null,
                "profession": null,
                "relationship": null
            },
            "transaction": {
                "routeId": "f0aefe34-3fc5-f011-bbc1-0e7d952d79b7",
                "amount": 100.00,
                "reference": "REF-QA-234",
                "systemTraceAuditNumber": "726fae45-8b87-4d3d-9b5f-43387c899adf",
                "type": 0,
                "channelType": 1,
                "customerAccountNo": null,
                "routeTransactionTypeId": "00000000-0000-0000-0000-000000000000"
            },
            "transactionOutcome": {
                "id": "caec0449-c92d-f111-bc62-0e7d952d79b7",
                "paymentAmount": 100.00,
                "feeAmount": 0.00,
                "trackingNumber": "Y4IK8K3N",
                "transactionStatus": 8,
                "transactionStatusDescription": "Timed Out",
                "workingAccountAvailableFunds": 0.00,
                "utilityAccountAvailableFunds": 0.00,
                "walletBalance": 0.00,
                "transactionDate": null,
                "transactionCreditParty": null,
                "resultCode": "-1",
                "resultCodeDescription": "Timed Out",
                "thirdPartyPayload": {
                    "thirdPartyResponseCode": null,
                    "thirdPartyResponseCodeDescription": null,
                    "thirdPartyResultCode": "-1",
                    "thirdPartyResultCodeDescription": "Timed Out",
                    "thirdPartyReceiptNumber": null
                }
            }
        }
    ]
}

Sample error response#

{
    "appDomainName": "LIVE",
    "status": 400,
    "timestamp": "2022-02-11T10:13:11.2483928Z",
    "systemConversationId": "16780000-a97d-3024-98a9-08d9ed471bab",
    "originatorConversationId": "W93323321ei4455t40093334xxiuigggtey",
    "errors": [
        {
            "field": "Id",
            "message": "The Id field is required."
        }
    ]
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.zamupay.com/v1/payment-order/check-status?Id=b778dd46-22ed-4246-89ba-884589f13440&IdType=OriginatorConversationId'
Response Response Example
{}
Modified at 2026-04-20 13:22:02
Previous
Payment Order Requests - Bank Transfers
Next
Reject Order By OriginatorConversationId
Built with